#pragma once
////////////
//定义公共结构，变量，硬件接口等
///
//

//硬件接口定义////////////////////////////
// 按钮
#define BTN_UP 23   // 收线开关   接线：BTN_UP---GND
#define BTN_DOWN 22 // 放线开关
#define BTN_CT 21   // 到顶检测开关
#define BTN_TEST 18   // 测试开关
// LED
#define LED_TIP 19 // 指示灯     接线：LED_TIP---3.3V
// 称重传感器- HX711
#define LOADCELL_DOUT_PIN 2
#define LOADCELL_SCK_PIN 4
///////////////////////////////////////////
#define SPEED_UP_SLOW 4   //rmp 或者  弧度/秒
#define SERVO_PIN   14      //锁定舵机PWM控制脚

enum HookStatus
{
  HS_UnInit, //还未初始化
  HS_Down,   // 货物下放中
  HS_DownSlow,  //货物慢速下放中
  HS_Up,     // 回收中
  HS_InStore,     // 入仓中
  HS_Locked,  //已到顶部锁定
  HS_Stop   //已停止
};

